FLUX.1 [dev] with Controlnets and Loras
ผสานการทำงาน
flux-general
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-general?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-general?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-general", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/th/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "flux-general",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
เรียกใช้โมเดล FLUX.1 [dev] with Controlnets and Loras (flux-general) ผ่าน Doitong API เอกสารสำหรับเอเจนต์: https://doitong.com/th/developers/models/flux-general.md
POST https://vit.doitong.com/api/v1/run/flux-general?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
หากสถานะการตอบกลับเป็น "queued" หรือ "running" ให้ส่งคำขอแบบสำรวจ GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20 จนกว่าจะเป็น "succeeded" ไฟล์อยู่ใน outputs[].url การส่ง POST https://vit.doitong.com/api/v1/quote/flux-general ด้วยบอดี้เดียวกันจะแสดงราคาที่แน่นอนก่อนเรียกใช้
คำขอนี้: ≈$0.30 300 เครดิต API เรียกใช้ในหน้านี้
คีย์ API ใหม่ของคุณ คีย์นี้จะแสดงเฉพาะตอนนี้ และมีอยู่ในโค้ดและช่องคีย์ API ด้านล่างแล้ว เก็บเป็นความลับ: อย่าใส่คีย์นี้ไว้ในโค้ดที่ทำงานบนเบราว์เซอร์
ผลลัพธ์แรกของคุณจะแสดงที่นี่
สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน
สร้างคำขอ
ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า
/run/flux-general?wait=20
ใบเสนอราคา → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-general?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flux-general?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flux-general", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "flux-general",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
เรียกใช้คำขอนี้
คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API
เกี่ยวกับ FLUX.1 [dev] with Controlnets and Loras
สร้างภาพจาก `prompt` พร้อมรองรับวิธีการกำหนดเงื่อนไขหลายรูปแบบ ได้แก่ `loras`, `control_loras`, `controlnets`, `controlnet_unions`, `ip_adapters` และ `easycontrols` รวมถึง `fill_image` สำหรับพื้นที่ที่มีมาสก์ นอกจากนี้ยังรองรับ `reference_image_url`, พรอมต์เชิงลบ และตัวเลือกตัวจัดตาราง euler หรือ dpmpp_2m เรียกใช้ได้สูงสุด 10 ภาพต่อคำขอ ในรูปแบบ png หรือ jpeg
พารามิเตอร์
ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน
promptจำเป็น
image_sizeไม่บังคับ
num_inference_stepsไม่บังคับ
seedไม่บังคับ
lorasไม่บังคับ
loras[].pathจำเป็น
loras[].scaleไม่บังคับ
control_lorasไม่บังคับ
control_loras[].pathจำเป็น
control_loras[].scaleไม่บังคับ
control_loras[].control_image_urlจำเป็น
control_loras[].preprocessไม่บังคับ
controlnetsไม่บังคับ
controlnets[].pathจำเป็น
controlnets[].config_urlไม่บังคับ
controlnets[].variantไม่บังคับ
controlnets[].control_image_urlจำเป็น
controlnets[].mask_image_urlไม่บังคับ
controlnets[].mask_thresholdไม่บังคับ
controlnets[].conditioning_scaleไม่บังคับ
controlnets[].start_percentageไม่บังคับ
controlnets[].end_percentageไม่บังคับ
controlnet_unionsไม่บังคับ
controlnet_unions[].pathจำเป็น
controlnet_unions[].config_urlไม่บังคับ
controlnet_unions[].variantไม่บังคับ
controlnet_unions[].controlsจำเป็น
controlnet_unions[].controls[].control_image_urlจำเป็น
controlnet_unions[].controls[].mask_image_urlไม่บังคับ
controlnet_unions[].controls[].control_modeจำเป็น
controlnet_unions[].controls[].conditioning_scaleไม่บังคับ
controlnet_unions[].controls[].mask_thresholdไม่บังคับ
controlnet_unions[].controls[].start_percentageไม่บังคับ
controlnet_unions[].controls[].end_percentageไม่บังคับ
ip_adaptersไม่บังคับ
ip_adapters[].pathจำเป็น
ip_adapters[].subfolderไม่บังคับ
ip_adapters[].weight_nameไม่บังคับ
ip_adapters[].image_encoder_pathจำเป็น
ip_adapters[].image_encoder_subfolderไม่บังคับ
ip_adapters[].image_encoder_weight_nameไม่บังคับ
ip_adapters[].image_urlจำเป็น
ip_adapters[].mask_image_urlไม่บังคับ
ip_adapters[].mask_thresholdไม่บังคับ
ip_adapters[].scaleจำเป็น
easycontrolsไม่บังคับ
easycontrols[].control_method_urlจำเป็น
easycontrols[].scaleไม่บังคับ
easycontrols[].image_urlจำเป็น
easycontrols[].image_control_typeจำเป็น
fill_imageไม่บังคับ
fill_image.fill_image_urlไม่บังคับ
guidance_scaleไม่บังคับ
real_cfg_scaleไม่บังคับ
use_real_cfgไม่บังคับ
use_cfg_zeroไม่บังคับ
num_imagesไม่บังคับ
num_outputs
enable_safety_checkerไม่บังคับ
reference_image_urlไม่บังคับ
reference_strengthไม่บังคับ
reference_startไม่บังคับ
reference_endไม่บังคับ
base_shiftไม่บังคับ
max_shiftไม่บังคับ
output_formatไม่บังคับ
use_beta_scheduleไม่บังคับ
sigma_scheduleไม่บังคับ
schedulerไม่บังคับ
negative_promptไม่บังคับ
nag_scaleไม่บังคับ
nag_tauไม่บังคับ
nag_alphaไม่บังคับ
nag_endไม่บังคับ
พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์
เอาต์พุต
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "flux-general",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 300,
"usd": "0.30",
"charged": 300,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"width": 1024,
"height": 768,
"content_type": "image/jpeg"
}
],
"timings": {},
"seed": 42,
"has_nsfw_concepts": [
false
],
"prompt": "string"
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ฟิลด์ของเอาต์พุต
- images
- array of object {url, width, height, content_type}ข้อมูลไฟล์สำหรับรูปภาพที่สร้าง
- timings
- object
- seed
- integerseed สำหรับการสร้างรูปภาพ รวมถึงค่าที่สุ่มเลือกหากอินพุตไม่ได้ระบุ seed มิฉะนั้นจะใช้ค่าที่ระบุซ้ำ
- has_nsfw_concepts
- array of booleanระบุว่ามีแนวคิด NSFW ปรากฏในรูปภาพที่สร้างหรือไม่
- prompt
- stringพรอมต์ที่ใช้ระหว่างการสร้างรูปภาพ
รูปแบบอื่นของ FLUX.1 [dev] with Controlnets and Loras
โมเดลเพิ่มเติม: ข้อความเป็นภาพ
สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/flux-general.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt







